Subject: bug#41035: [Error] No upgrade after pull

From: Marius Bakke <[email-masked]>
Date: Tue, 05 May 2020 00:16:17 +0200

louishp via Bug reports for GNU Guix <[email-masked]> writes:

> Hello,
>
> I've just installed GuixSD on a virtual machine (by Virtual Box on Windows 10), and got some strange errors with guix upgrade.
>
> The first commands I use after the first login (as root) is : `guix pull`, which pulls many packages, and `guix upgrade` which does nothing. It says to me that :

'guix upgrade' is expected to do nothing in this case: it only upgrades
the packages you have installed as the root user (which are none).

To upgrade the system, use 'guix system reconfigure /etc/config.scm'.

> "guix upgrade: warning: Consider running `guix pull` followed by
>  'guix package -u' to get up-to-date packages and security updates"

Reading guix/scripts.scm, I think this is happening because you have
no packages in the [user] profile.

  https://git.savannah.gnu.org/cgit/guix.git/tree/guix/scripts.scm?id=1d24cc6de674ff8cd6321eb373ab86c8028e2281#n158

Removing the (not age) check on line 176 might fix this.  Not sure if it
could have any adverse effects.  

> But I've just guix-pulled.
>
> During the installation, I've used all the by default choices, except when I say I want the SSH.
>
> Here the result of guix system describe : https://paste.debian.net/1144431/
> Here the result of tree in the guix folder : https://paste.debian.net/1144432/

These have already expired: please include them in the message for
posterity with the next bug report (hopefully not too soon!).  :-)